---------------------------------
How to make dtd changes
---------------------------------
-Change actual dtd (in ../../dtds) 
-check listofpks.properties (see B)
-check extratags (see C)

-run ant all

Now you will be able to generate the beans.
You will have to make sure that the changes
you made will not break the build. So, don't
forget to clean compile


Appendix:
----------------
B. What to check in listofpks.properties
----------------
-If you have added an element that is 1..* with parent, 
 you will have to add a pk to this file

-----------------
C. What to check in extratags
-----------------
-add any element that has no attribute to this list

-----------------
D. How to change the generator
-----------------
Generator is checked in as part of s2b.jar in this directory.
You will find all the java files in the jar.
The most interesting files to changes are BeanClassSri.java
and BeanBuilder.java. 

--------------
E. BEWARE
--------------
schema2beans generator does not work if you have 
spaces in default values of attributes.

--------------------------------------------------------
F. HAND EDITED CONFIG BEANS (FIX FOR BUG# 4919907)
--------------------------------------------------------
The following Config Beans have been hand edited in order
to support the default values for attributes that do not
have defaults defined in the dtd but are set during installation.
(session-store, tx-log-dir, application-root, log-service@file, 
log-root, java-home)

Domain.java
LogService.java
TransactionService.java
EjbContainer.java
JavaConfig.java

These changes will be lost when the config beans are regenerated.



------------------------------------------------------
Please email me with comments/questions 
at sridatta.viswanath@sun.com
------------------------------------------------------
